# Kuberntes
## NameSpace/helmchart/- 
- helmChart that creates all the NameSpaces
- install:
- kubectl apply -f namespace.yaml
- helm install ns oci://registry-1.docker.io/itsvictorfy/finalproj-namespace --version 0.1.0
## cicd-ingress.yaml
- ingress for Argo and jenkins
- intall:
- kubectl apply cicd-ingress.yaml
## observation-ingress.yaml
- ingress from grafana and prom
- intall:
- kubectl apply observation-ingress.yaml
## ClusterPorta-
- Contains of a html page docker image that uses nginx and kubernetes deployment
- intall:
- kubectl apply cluster-portal/deployemnt.yaml
## multi-node-cluster.yaml
insatll cluster 

